# python3 not currently supported upstream, leaving macros in preparation
# for upstream support in the future.
%global with_python3 0

%global upstream_name texttable

Name:           python-%{upstream_name}
Version:        0.8.1
Release:        %mkrel 2
Summary:        Python module to generate a formatted text table, using ASCII characters

Group:          Development/Python
License:        LGPLv2
URL:            http://foutaise.org/code/
Source0:        https://pypi.python.org/packages/source/t/texttable/texttable-0.8.1.tar.gz

Patch0:         texttable-0.8.1-remove-main-from-lib.patch

BuildRequires:  python-devel 
BuildRequires:  python-setuptools 

BuildArch:      noarch

%if 0%{?with_python3}
BuildRequires: python3-devel 
BuildRequires: python3-setuptools 
# For /usr/bin/2to3
BuildRequires: python-tools
%endif # if with_python3


%description
Python module to generate a formatted text table, using ASCII characters

%if 0%{?with_python3}
%package -n python3-%{upstream_name}
Summary:    Python module to generate a formatted text table, using ASCII characters
Group:      Development/Languages

%description -n python3-%{upstream_name}
Python module to generate a formatted text table, using ASCII characters
%endif #if with_python3

%prep
%setup -q -n %{upstream_name}-%{version}

%patch0 -p0

%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
2to3 --write --nobackups %{py3dir}
%endif # with_python3

%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build

%if 0%{?with_python3}
pushd %{py3dir}
CFLAGS="$RPM_OPT_FLAGS" %{__python3} setup.py build
popd
%endif # with_python3


%install
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
popd
%endif # with_python3

%files
%doc PKG-INFO
%{python_sitelib}/texttable*

%if 0%{?with_python3}
%files -n python3-%{upstream_name}
%doc PKG-INFO
%{python3_sitelib}/texttable*
%endif # with_python3



%changelog
* Tue Feb 09 2016 umeabot <umeabot> 0.8.1-2.mga6
+ Revision: 951470
- Mageia 6 Mass Rebuild

* Sun Dec 28 2014 juancho <juancho> 0.8.1-1.mga5
+ Revision: 806835
- imported package python-texttable

